# Tiger workspace implementation

# workspace base pointer, negative indices are illegitimate
lbl('wp'); data([0]) # 1 dummy zero to be updated to app_end by the application

#
# ld d from wp+i
# y y z i -> y y z d
#
lbl('ldw')
  lit(wp); ld(); add()
  ld(); ret()

#
# st d to wp+i
# z z d i -> z z z z
#
lbl('stw')
  lit(wp); ld(); add()
  st(); ret()

#
# wp += d
# y y z d -> y y y z
#
lbl('adw')
  lit(wp); ld(); add()
  lit(wp); st(); ret()