// rising edge write, falling edge read, 12 bits, 4K, preloaded with external file RAM.hex

module RAM (
  input clk_i,
  input we_i,
  input [11:0] adr_i,
  input [11:0] dat_i,
  output [11:0] dat_o
);

reg [11:0] read_data;
assign dat_o = read_data;
reg [11:0] ram [0:4095];
initial $readmemh("C:\Users\myron\Desktop\TigerSOC\RAM.hex", ram); // for Win10 icecube2
//initial $readmemh("RAM.hex", ram); // for iverilog
always @(posedge clk_i) if (we_i) ram[adr_i] <= dat_i;
always @(negedge clk_i) read_data <= ram[adr_i];

endmodule

