// memory-mapped I/O address decoders

module iodecode (
  input [11:0] adr_i,
  output pio_o, // parallel I/O
  output timer_high_o,
  output timer_low_o,
  output rx_status_o,
  output tx_status_o,
  output uart_o
);

assign pio_o        = (adr_i == 12'hFFF);
assign timer_high_o = (adr_i == 12'hFFE);
assign timer_low_o  = (adr_i == 12'hFFD);
assign rx_status_o  = (adr_i == 12'hFFC);
assign tx_status_o  = (adr_i == 12'hFFB);
assign uart_o       = (adr_i == 12'hFFA);

endmodule