// 12-bit parallel output

module pout (
  input clk_i,
  input rst_i,
  input we_i,
  input [11:0] dat_i,
  output [11:0] dat_o
);

reg [11:0] dout;
assign dat_o = dout;
always @(posedge clk_i) begin
  if (rst_i) dout <= 0;
  else if (we_i) dout <= dat_i;
end

endmodule

