// 24-bit free-running timer

module timer (
  input clk_i,
  input rst_i,
  output [23:0] dat_o
);

reg [23:0] count;
assign dat_o = count;
always @(posedge clk_i) begin
  if (rst_i) count <= 0;
  else count <= count + 1;
end

endmodule
